org.springframework.data.mapping.model

## Class SimpleTypeHolder

- java.lang.Object
- - org.springframework.data.mapping.model.SimpleTypeHolder

    public class SimpleTypeHolder
    extends Object

Simple container to hold a set of types to be considered simple types.

Author:
  Oliver Gierke, Christoph Strobl, Mark Paluch

### Field Summary

Fields
`static SimpleTypeHolder` `DEFAULT`

### Constructor Summary

Constructors
`protected` `SimpleTypeHolder()` Creates a new `SimpleTypeHolder` containing the default types.
`` `SimpleTypeHolder(Set<? extends Class<?>> customSimpleTypes, boolean registerDefaults)` Creates a new `SimpleTypeHolder` to carry the given custom simple types.
`` `SimpleTypeHolder(Set<? extends Class<?>> customSimpleTypes, SimpleTypeHolder source)` Copy constructor to create a new `SimpleTypeHolder` that carries the given additional custom simple types.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isSimpleType(Class<?> type)` Returns whether the given type is considered a simple one.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT

    public static final SimpleTypeHolder DEFAULT

### Constructor Detail

#### SimpleTypeHolder

    protected SimpleTypeHolder()

Creates a new `SimpleTypeHolder` containing the default types.

See Also:
  `SimpleTypeHolder(Set, boolean)`

#### SimpleTypeHolder

    public SimpleTypeHolder(Set<? extends Class<?>> customSimpleTypes,
                            boolean registerDefaults)

Creates a new `SimpleTypeHolder` to carry the given custom simple types. Registration of default simple types can be deactivated by passing false for `registerDefaults`.

Parameters:
  `customSimpleTypes` -
  `registerDefaults` -

#### SimpleTypeHolder

    public SimpleTypeHolder(Set<? extends Class<?>> customSimpleTypes,
                            SimpleTypeHolder source)

Copy constructor to create a new `SimpleTypeHolder` that carries the given additional custom simple types.

Parameters:
  `customSimpleTypes` - must not be null
  `source` - must not be null

### Method Detail

#### isSimpleType

    public boolean isSimpleType(Class<?> type)

Returns whether the given type is considered a simple one.

Parameters:
  `type` - must not be null.
Returns: